---
lang: en
title: 'API docs: rest.jsonbodyparser.supports'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.jsonbodyparser.supports.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [JsonBodyParser](./rest.jsonbodyparser.md) &gt; [supports](./rest.jsonbodyparser.supports.md)

## JsonBodyParser.supports() method

**Signature:**

```typescript
supports(mediaType: string): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

mediaType


</td><td>

string


</td><td>


</td></tr>
</tbody></table>
**Returns:**

boolean


